Subject: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Drew Adams <[email-masked]>
Date: Sat, 3 May 2014 06:50:50 -0700 (PDT)

> > I want something simple, evaluable from Info mode.  I don't
> > want to have to widen the buffer or change the mode or jump
> > through any other hoops.  A function or a variable whose value
> > lets Lisp code know whether `...' or '...' quoting is in effect.
> 
> (save-excursion
>   (save-restriction
>     (widen)
>     (goto-char (point-min))
>     (if (and (re-search-forward
>               "makeinfo[ \n]version[ \n]\\([0-9]+.[0-9]+\\)"
>               (line-beginning-position 4) t)
>              (version< (match-string 1) "5.0"))
>         'backquote
>       (if (string-match-p "utf-8"
>                           (symbol-name buffer-file-coding-system))
>           'curly-quote
>         'quote))))

Thanks.  I guess that's as good as it's going to get.  I was hoping
for a file/buffer local variable or something.  This is the kind of
hoop-jumping I was talking about, but I do appreciate your having
coded it up.

This would need to be consulted each time an Info node is fontified.
Yes, the search can be done instead just whenever the Info file is
changed, and then saved for consultation upon node fontifying for
the same file.  (Still, I would hope for something simpler.)